# $Revision: 1.4 $, $Date: 2004/08/08 11:19:12 $
Summary:	A simulator for Atmel's AVR family of microcontrollers
Summary(pl):	Symulator dla rodziny mikrokontrolerw Atmel's AVR
Name:		simulavr
Version:	0.1.2.1
Release:	2
License:	GPL
Group:		Development/Debuggers
Source0:	http://savannah.nongnu.org/download/simulavr/%{name}-%{version}.tar.bz2
# Source0-md5:	7fbf757f285ac9fd2d22604df6a9ee5f
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossavr-gcc
BuildRequires:	doxygen
BuildRequires:	ncurses-devel
BuildRequires:	tetex
BuildRequires:	texinfo-texi2dvi
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simulavr is a simulator for the Atmel AVR family of microcontrollers.
Simulavr can be used either standalone or as a remote target for gdb.
When used as a remote target for gdb, the simulator is used as a
backend to gdb such that gdb can be used as a source level debugger.

%description -l pl
Simulavr jest symulatorem dla rodziny mikrokontrolerw Atmel AVR. Moe
by wykorzystywany osobno, lub jako zdalny target dla gdb.
Gdy jest wykorzystywany jako zdalny target dla gdb, symulatorw jest 
uywany jak nakadka na gdb tak, e gdb moe by uyty jako debugger
na poziomie kodu rdowego.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-tests
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL ProjSummary
%doc README README.gdb README.opcodes TODO
%doc doc/
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/simulavr*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: simulavr.spec,v $
Revision 1.4  2004/08/08 11:19:12  havner
- rel 2

Revision 1.3  2004/08/01 21:09:14  qboosh
- BR: crossavr-gcc

Revision 1.2  2004/02/01 22:46:14  undefine
- remove bogus(?)BR

Revision 1.1  2004/02/01 17:19:58  undefine
- initital pld version

* Wed Aug 27 2003 Theodore A. Roth <troth@openavr.org>
- Fix broken rpmbuild on RedHat-9.

* Fri Jun 20 2003 Theodore A. Roth <troth@openavr.org>
- Bump avr-gdb requirement to 5.3.

* Sat Oct 12 2002 Theodore A. Roth <troth@openavr.org>
- Add man pages.

* Thu Sep 05 2002 Theodore A. Roth <troth@openavr.org>
- Require gdb-5.2.1.
- Don't build pdf dox.

* Sun Feb 10 2002 Theodore A. Roth <troth@openavr.org>
- Moved documentation into simulavr-docs subpackage.

* Thu Feb 07 2002 Theodore A. Roth <troth@openavr.org>
- Initial spec file.
